<!DOCTYPE html>
<html lang="fr">

    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="ie=edge" />
        <title>{{- .Site.Title -}} - {{- .LinkTitle -}}</title>
        <meta name="description" content="{{- .Params.meta.description -}}">
        <meta name="keywords" content="{{- delimit .Params.meta.keywords "," -}}">
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="canonical" href="{{- .Site.BaseURL -}}">
        <meta name="robots" content="index,follow">
        <meta property="og:title" content="{{- .Site.Title -}} - {{- .LinkTitle -}}">
        <meta property="og:description" content="{{- .Params.meta.description -}}">
        <meta property="og:image" content="{{- .Site.BaseURL -}}img/vegetaclick.svp">
        <meta property="og:url" content="{{- .Permalink -}}">
        <link rel="icon" type="image/svg" href="/img/favicon.svg">
        <link rel="stylesheet" href="{{- ((resources.Get "css/fonts.css") | resources.Minify | resources.Fingerprint).RelPermalink -}}">
        <link rel="stylesheet" href="{{- ((resources.Get "css/layout.css") | resources.Minify | resources.Fingerprint).RelPermalink -}}" />
        <link rel="stylesheet" href="{{- ((resources.Get "css/agenda.css") | resources.Minify | resources.Fingerprint).RelPermalink -}}" />
        <link rel="stylesheet" href="{{- ((resources.Get "css/carousel.css") | resources.Minify | resources.Fingerprint).RelPermalink -}}" />
        <link rel="stylesheet" href="{{- ((resources.Get "css/progress-bar.css") | resources.Minify | resources.Fingerprint).RelPermalink -}}" />
        <link rel="stylesheet" href="/pagefind/pagefind-ui.css" />
        <link rel="stylesheet" href="{{- ((resources.Get "css/pagefind-custom.css") | resources.Minify | resources.Fingerprint).RelPermalink -}}" />
    </head>

    <body>
        {{- partial "burger-menu" . -}}
        <header>
            <div class="inner">
                {{- partial "navigation" . -}}
            </div>
        </header>
        <main>
            <article>
                <header>
                    {{- partial "breadcrumbs" . -}}
                    <div class="inner">
                        <h1>{{- .Title -}}</h1>
                    </div>
                </header>
                <div id="cities" class="carousel">
                    <h2>Les ateliers près de chez vous</h2>
                    <button class="left" disabled="true" onclick="goLeft()">&#10094;</button>
                    <button class="right" onclick="goRight()">&#10095;</button>
                    <div class="inner" onscroll="refresh()">
                        {{- $cities := where .Site.RegularPages "Type" "cities" -}}
                        {{- range $cities.ByPublishDate.Reverse -}}
                            {{- partial "summary/city" (dict "city" .) -}}
                        {{- end -}}
                    </div>
                </div>
                <div id="search"></div>
                <div id="filter">
                    <div id="filter-left">&nbsp;</div>
                    <div id="filter-middle">
                        <div id="filter-city">
                            <label for="city">Par lieu</label>
                            <select id="city" onchange="filter()">
                                <option value="null" selected>-</option>
                                {{- $cities := where .Site.RegularPages "Type" "cities" -}}
                                {{- range $cities.ByTitle -}}
                                    <option value="{{- .File.BaseFileName | strings.ToLower -}}">{{- .Title -}}</option>
                                {{- end -}}
                            </select>
                        </div>
                        <div id="filter-date">
                            <label for="date">Par date</label>
                            <select id="date" onchange="filter()">
                                <option value="null" selected>-</option>
                                {{- $start_dates := slice -}}
                                {{- range where .Site.RegularPages "Type" "events" -}}
                                    {{- $start_dates = $start_dates | append .Params.start_date -}}
                                {{- end -}}
                                {{ $unique_start_dates := uniq $start_dates }}
                                {{- range sort $unique_start_dates "value" "desc" -}}
                                    {{- $t := time.AsTime . -}}
                                    <option value="{{- . -}}">{{- $t.Format "02 Jan 2006" -}}</option>
                                {{- end -}}
                            </select>
                        </div>
                        <div id="filter-event-type">
                            <label for="type">Par type d’événement</label>
                            <select id="type" onchange="filter()">
                                <option value="null" selected>-</option>
                                {{- range where .Site.RegularPages "Type" "event_types" -}}
                                    <option value="{{- .File.BaseFileName | strings.ToLower -}}">{{- .Title -}}</option>
                                {{- end -}}
                            </select>
                        </div>
                    </div>
                    <div id="filter-right">&nbsp;</div>
                </div>

                {{- $index := 0 -}}
                {{- $is_hidden := false -}}
                <div id="articles">
                    {{- $events := where .Site.RegularPages "Type" "events" -}}
                    {{- range sort $events ".Params.start_date" "desc" -}}
                        {{- partial "summary/event" (dict "event" . "index" $index ) -}}
                        {{- $index = add $index 1 -}}
                    {{- end -}}
                </div>
            </article>
        </main>
        {{- partial "footer" . -}}
        {{- $carousel := resources.Get "js/carousel.js" -}}
        {{- $filter := resources.Get "js/filter.js" -}}
        {{- $burgerMenu := resources.Get "js/burger-menu.js" -}}
        {{- $lazyloading := resources.Get "js/lazyloading.js" -}}
        {{- $agenda_bundle := slice $carousel $filter $burgerMenu $lazyloading | resources.Concat "js/agenda_bundle.js" | resources.Minify | resources.Fingerprint -}}
        <script src="{{- $agenda_bundle.RelPermalink -}}"></script>
        <script>
            document.addEventListener("DOMContentLoaded", function() {
                const city = document.getElementById("city");
                const date = document.getElementById("date");
                const type = document.getElementById("type");

                filter_init(city);
                filter_init(date);
                filter_init(type);
                filter();
            });
        </script>
        <script src="/pagefind/pagefind-ui.js"></script>
        <script>
            const url = window.location.href;
            const urlObj = new URL(url);
            const params = new URLSearchParams(urlObj.search);

            const city_value = params.get("city");
            const search_value = params.get("search");

            window.addEventListener('DOMContentLoaded', () => {
                const searchInput = document.getElementById('search');
                if (searchInput.style.display == 'none') {
                    return;
                }

                if(search_value) {
                    document.getElementById('articles').innerHTML = ''; 
                }
                
                const deleteButton = document.getElementsByClassName('pagefind-ui__suppressed')[0];
                if (deleteButton) {
                    deleteButton.addEventListener('click', (e) => {
                        const url = window.location.href;
                        const urlObj = new URL(url);
                        urlObj.searchParams.set('search', '');
                        window.history.pushState({}, '', urlObj);
                    });
                }

                searchInput.addEventListener('input', (e) => {
                    document.getElementById('articles').innerHTML = '';  // Efface les anciens résultats dès qu'une nouvelle recherche est effectuée

                    const url = window.location.href;
                    const urlObj = new URL(url);
                    urlObj.searchParams.set('search', e.target.value);
                    window.history.pushState({}, '', urlObj);

                    const deleteButton = document.getElementsByClassName('pagefind-ui__suppressed')[0];
                    if (deleteButton) {
                        deleteButton.addEventListener('click', (e) => {
                            const url = window.location.href;
                            const urlObj = new URL(url);
                            urlObj.searchParams.set('search', '');
                            window.history.pushState({}, '', urlObj);
                        });
                    }
                });

                const search = new PagefindUI({
                    element: "#search",    // Le conteneur où se trouve l'input de recherche
                    resetStyles: false,              // Pour ne pas réinitialiser les styles par défaut
                    showSubResults: false,
                    showEmptyFilters: false,
                    openFilters: ['city','event_type','start_date'],
                    pageSize: 100,
                    processResult: (result) => {
                        // Formatage personnalisé des résultats
                        var article = document.createElement('article');
                        article.classList.add(`summary`);
                        article.classList.add(`index`);
                        article.classList.add(`${result.meta.slug}`);

                        article.innerHTML = `
                            <input type="hidden" name="city" value="${result.filters.city[0]}"/>
                            <input type="hidden" name="date" value="${result.filters.start_date[0]}"/>
                            <input type="hidden" name="type" value="${result.filters.event_type[0]}"/>
                            <a href="${result.url}" title="${result.meta.title}">
                                <div class="image" style="background-image: url('${result.meta.image}');"></div>
                                <div class="inner">
                                    <div class="border">
                                        <div class="header">
                                            <h3>${result.meta.title}</h3>
                                        </div>
                                        <div class="body">
                                            ${result.meta.summary}
                                            <p>
                                                Ville: ${result.filters.city[0]}<br/>
                                                Date: ${result.filters.start_date[0]}<br/>
                                                Type: ${result.filters.event_type[0]}
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        `;

                        // Ajoute le résultat dans le conteneur des résultats personnalisés
                        document.getElementById('articles').appendChild(article);
                    }
                });
                
                if(city_value) {
                    search.triggerFilters({ "city": [ city_value ] });
                }
                
                if(search_value) {
                    search.triggerSearch(search_value);
                }
                
            });
        </script>
    </body>

</html>